=== debian/changelog ===
ros-eloquent-rosidl-generator-c (0.8.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-c (0.8.2-1bionic) bionic; urgency=high

  * Fix double free issue when initialization is failed (#423 <https://github.com/ros2/rosidl/issues/423>)
  * Contributors: DongheeYe

 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-c (0.8.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-c (0.8.0-1bionic) bionic; urgency=high

  * [rosidl_generator_c] Updated tests for new msg types from test_interface_files (#398 <https://github.com/ros2/rosidl/issues/398>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Set _FOUND to trick ament_target_dependencies() for test (#396 <https://github.com/ros2/rosidl/issues/396>)
  * Contributors: Dirk Thomas, Shane Loretz, Siddharth Kucheria

 -- William Woodall <william@osrfoundation.org>  Tue, 24 Sep 2019 05:00:00 -0000
