=== debian/control ===
Source: ros-eloquent-rosidl-generator-c
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-typesupport-interface, ros-eloquent-test-interface-files, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosidl-generator-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-parser, ros-eloquent-rosidl-typesupport-interface, ros-eloquent-ros-workspace
Description: Generate the ROS interfaces in C.
